package com.xjrsoft.module.student.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.github.yulichang.query.MPJQueryWrapper;
import com.github.yulichang.wrapper.MPJAbstractWrapper;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.xjrsoft.common.utils.TreeUtil;
import com.xjrsoft.common.utils.VoToColumnUtil;
import com.xjrsoft.module.student.dto.CadreDeptTreeDto;
import com.xjrsoft.module.student.entity.CadreDept;
import com.xjrsoft.module.student.mapper.CadreDeptMapper;
import com.xjrsoft.module.student.service.ICadreDeptService;
import com.xjrsoft.module.student.vo.CadreDeptTreeVo;
import com.xjrsoft.module.teacher.entity.AttendanceRecord;
import com.xjrsoft.module.teacher.entity.XjrUser;
import com.xjrsoft.module.teacher.vo.AttendanceRecordPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;

/**
* @title: 干部部门
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class CadreDeptServiceImpl extends MPJBaseServiceImpl<CadreDeptMapper, CadreDept> implements ICadreDeptService {
    private final CadreDeptMapper cadreDeptMapper;
    @Override
    public List<CadreDeptTreeVo> getCadreDeptTree() {
        CadreDeptTreeDto dto = new CadreDeptTreeDto();
        return getCadreDeptTree(dto);
    }

    @Override
    public List<CadreDeptTreeVo> getCadreDeptTree(CadreDeptTreeDto dto) {

        List<CadreDeptTreeVo> list = cadreDeptMapper.getCadreDeptTree(dto);

        List<CadreDeptTreeVo> treeVoList = TreeUtil.build(list);
        return treeVoList;
    }
}
