package com.xjrsoft.module.teacher.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.teacher.dto.AddAttendanceRecordDto;
import com.xjrsoft.module.teacher.dto.ClockInDto;
import com.xjrsoft.module.teacher.dto.GetCheckInDayDto;
import com.xjrsoft.module.teacher.entity.AttendanceRecord;
import com.xjrsoft.module.teacher.vo.AttendanceRecordVo;
import com.xjrsoft.module.teacher.vo.PresentUserCheckInfoVo;
import lombok.Data;
import java.util.List;

/**
* @title: 考勤-记录
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/

public interface IAttendanceRecordService extends MPJBaseService<AttendanceRecord> {

    /**
     * 新增考勤-记录(打卡)
     * @param attendanceRecord
     */
    Boolean addAttendanceRecordOfClockIn(AttendanceRecord attendanceRecord);

    /**
     * 获取当月打卡的天
     * @param dto
     */
    List<String> getCheckInDay(GetCheckInDayDto dto);


    /**
     * 获取当前用户当天上班打卡数据
     */
    PresentUserCheckInfoVo getPresentUserCheckInfo();
}
