package com.xjrsoft.module.teacher.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.teacher.entity.WfHeadTeacherLeave;
import com.xjrsoft.module.teacher.entity.WfTeacherleave;
import com.xjrsoft.module.teacher.mapper.WfTeacherleaveMapper;
import com.xjrsoft.module.teacher.service.IWfHeadTeacherLeaveService;
import com.xjrsoft.module.teacher.service.IWfTeacherleaveService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;

/**
* @title: 教职工请假流程
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class WfTeacherleaveServiceImpl extends MPJBaseServiceImpl<WfTeacherleaveMapper, WfTeacherleave> implements IWfTeacherleaveService {

    private final IWfHeadTeacherLeaveService wfHeadTeacherLeaveService;
    @Override
    public Boolean dataHandle(Long dataId) {
        WfTeacherleave wfTeacherleave = this.getById(dataId);
        //如果请假老师是班主任，将信息同步到班主任事项请假
        if(wfTeacherleave.getIsItAHomeroomTeacher().equals("是")){
            WfHeadTeacherLeave wfHeadTeacherLeave = new WfHeadTeacherLeave();
            wfHeadTeacherLeave.setWfTeacherleaveId(wfTeacherleave.getId());
            wfHeadTeacherLeave.setApplicantUserId(wfTeacherleave.getUserId());
            /*
             * 如果是周一到周四的上午，自动同步请假类型为“早自习、课间操”的数据到班主任事项请假列表，
             * 如果是周五下午自动同步请假类型为“学生放假”的数据到班主任事项请假列表。
            */
            //wfHeadTeacherLeave.setApplicantUserId(wfTeacherleave.getUserId());


            wfHeadTeacherLeave.setStartTime(wfTeacherleave.getLeaveStartTime());
            wfHeadTeacherLeave.setEndTime(wfTeacherleave.getLeaveEndTime());
            wfHeadTeacherLeave.setRemark(wfTeacherleave.getReasonForLeave());
            return wfHeadTeacherLeaveService.save(wfHeadTeacherLeave);
        }
        return false;
    }
}
