package com.xjrsoft.module.teacher.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 考勤-配置分页列表出参
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Data
public class AttendanceConfigPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 考勤时间
    */
    @ApiModelProperty("考勤时间")
    private LocalTime attendanceTime;
    /**
    * 考勤节点(xjr_dictionary_item[attendance_node])
    */
    @ApiModelProperty("考勤节点(xjr_dictionary_item[attendance_node])")
    private String leaveReason;
    /**
    * 地点
    */
    @ApiModelProperty("地点")
    private String address;
    /**
    * 经度
    */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
    * 纬度
    */
    @ApiModelProperty("纬度")
    private Double latitude;
    /**
    * 范围（米）
    */
    @ApiModelProperty("范围（米）")
    private Integer attendanceRange;

}
